%define name authconfig
%define version 2.0
%define release 3mdk

Summary: Text-mode tool for setting up NIS and shadow passwords.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Other
BuildRoot: /var/tmp/%{name}-buildroot
Source: %{name}-%{version}.tar.bz2
Patch0: authconfig-mdkconf.patch.bz2

%description 
Authconfig is a terminal mode program for setting up Network
Information Service (NIS) and shadow (more secure) passwords
on your system. Authconfig also configures the system to
automatically turn on NIS at system startup.

%prep
%setup -q
%patch0 -p0

%build
perl -p -i -e "s/CFLAGS \+=/CFLAGS =/" Makefile
perl -p -i -e "s/-O2 -g/$RPM_OPT_FLAGS/" Makefile
make

%install
make INSTROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/usr/sbin/*
/usr/man/man8/*

%changelog
* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0-3mdk
- fix group
- fix files section
- fix permission of spec

* Thu Dec  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Standard mandrake colors.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0

* Fri Oct 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild for newt 0.50.

* Tue Jun 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.8 version :
	-* don't report errors about NIS fields not being filled in if not enabled
	-* fix typo
	-* change domainname at nis start and stop
	-* fixed man page
	-* fixed rewriting /etc/yp.conf
	-* restarts ypbind so that new changes take effect

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 1.7.

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man pages
- handle RPM_OPT_FLAGS
- add de locale

* Mon Mar 15 1999 Matt Wilson <msw@redhat.com>
- just make the NIS part of configuration grayed out if NIS is not installed

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- static buffer sizes increased.

* Tue Mar  9 1999 Matt Wilson <msw@redhat.com>
- removed build opts because of problems on alpha

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- Don't rewrite ypbind.conf if you're not configuring NIS

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- Don't configure NIS if /etc/ypbind.conf does not exist.

* Sat Feb  6 1999 Matt Wilson <msw@redhat.com>
- changed "/sbin/chkconfig --add ypbind" to
  "/sbin/chkconfig --level 345 ypbind on"
- added checks for null nis domains and servers if nis is enabled or if
  not using broadcast.
- added newt entry filter for spaces in domains

* Sat Feb  6 1999 Matt Wilson <msw@redhat.com>
- changed command line options to match user interface
- added --help

* Thu Feb  4 1999 Matt Wilson <msw@redhat.com>
- Rewrote UI to handle geometry management properly
- MD5 passwords do not require shadow passwords, so made them independent

* Wed Feb 03 1999 Preston Brown <pbrown@redhat.com>
- initial spec file
